ProfileInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class ProfileInfo

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.ProfileInfo

    public class ProfileInfo

extends java.lang.Object

Model of the current player's profile information

Author:
  Marvin Froehlich

Nested Class Summary
`static class` | `ProfileInfo.MeasurementUnits` Model of measurement units (everything but speed)
`static class` | `ProfileInfo.SpeedUnits` Model of speed units

Field Summary
`static java.io.File` | `USERDATA_FOLDER`

Constructor Summary
`ProfileInfo()` Create a new instance.

Method Summary
`java.io.File` | `getCCHFile()` Gets the currently used CCH file.
`java.lang.Boolean` | `getFormationLap()` Drive formation lap?
`ProfileInfo.MeasurementUnits` | `getMeasurementUnits()` Gets the selected measurement units.
`java.lang.Integer` | `getNumReconLaps()` Gets the number of configureed recon laps.
`java.io.File` | `getPLRFile()` Gets the used PLR file.
`java.io.File` | `getProfileFolder()` Gets the folder, where rFactor stores profiles.
`java.lang.Float` | `getRaceLengthMultiplier()` Gets the current race length fraction.
`java.lang.Boolean` | `getShowCurrentLap()` Gets whether the current lap is to be displayed or the number of laps completed.
`ProfileInfo.SpeedUnits` | `getSpeedUnits()` Gets the selected speed units.
`java.lang.String` | `getTeamName()` Gets the currently used team's name.
`long` | `getUpdateId()` This is incremented every time the info is updated.
`java.io.File` | `getVehicleFile()` Gets the currently used vehicle file.
`boolean` | `isValid()` Gets whether this information in this instance is valid for the current session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USERDATA_FOLDER

    public static final java.io.File USERDATA_FOLDER

Constructor Detail

### ProfileInfo

    public ProfileInfo()

  Create a new instance.

Method Detail

### isValid

    public final boolean isValid()

  Gets whether this information in this instance is valid for the current session. This is false until rFactor is so kind to store the file.

  Returns:
    whether this information in this instance is valid for the current session.

### getUpdateId

    public final long getUpdateId()

  This is incremented every time the info is updated.

  Returns:
    the current update id.

### getProfileFolder

    public final java.io.File getProfileFolder()

  Gets the folder, where rFactor stores profiles.

  Returns:
    the folder, where rFactor stores profiles.

### getPLRFile

    public final java.io.File getPLRFile()

  Gets the used PLR file.

  Returns:
    the used PLR file.

### getVehicleFile

    public final java.io.File getVehicleFile()

  Gets the currently used vehicle file.

  Returns:
    the currently used vehicle file.

### getTeamName

    public final java.lang.String getTeamName()

  Gets the currently used team's name.

  Returns:
    the currently used team's name.

### getRaceLengthMultiplier

    public final java.lang.Float getRaceLengthMultiplier()

  Gets the current race length fraction.

  Returns:
    the current race length fraction.

### getShowCurrentLap

    public final java.lang.Boolean getShowCurrentLap()

  Gets whether the current lap is to be displayed or the number of laps completed.

  Returns:
    whether the current lap is to be displayed or the number of laps completed

### getNumReconLaps

    public final java.lang.Integer getNumReconLaps()

  Gets the number of configureed recon laps.

  Returns:
    the number of configureed recon laps.

### getFormationLap

    public final java.lang.Boolean getFormationLap()

  Drive formation lap?

  Returns:
    drive formation lap?

### getMeasurementUnits

    public final ProfileInfo.MeasurementUnits getMeasurementUnits()

  Gets the selected measurement units. (Applies to everything but speed.)

  Returns:
    the selected measurement units.
  See Also:
    `getSpeedUnits()`

### getSpeedUnits

    public final ProfileInfo.SpeedUnits getSpeedUnits()

  Gets the selected speed units.

  Returns:
    the selected speed units.
  See Also:
    `getMeasurementUnits()`

### getCCHFile

    public final java.io.File getCCHFile()

  Gets the currently used CCH file.

  Returns:
    the currently used CCH file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD